@import url('https://fonts.googleapis.com/css2?family=Karla:ital,wght@0,200..800;1,200..800&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root{
    --clr-primary-900: hsl(169, 82%, 14%);
    --clr-primary-600: hsl(169, 82%, 27%);
    --clr-primary-200: hsl(148, 38%, 91%);

    --clr-neutral-900: hsl(187, 24%, 22%);
    --clr-neutral-500: hsl(186, 15%, 59%);
    --clr-neutral-300: hsl(186, 15%, 59%, 0.699);
    --clr-neutral-100: hsl(0, 0%, 100%);

    --clr-accent-200: hsl(0, 66%, 54%);


    --ff-primary: 'Karla', sans-serif;
    
    --ff-body-400: var(--ff-primary);
    --ff-heading-700: var(--ff-primary);

    --fw-regular: 400;
    --fw-bold: 700;

    --fs-400: .775rem;
    --fs-600: 1rem;
    --fs-700: 1.2rem;
    --fs-900: 1.8rem;
}



body{
    max-width: 1440px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: var(--ff-primary);
    font-size: 16px;
    line-height: 2;
    height: 100vh;
    background-color: var(--clr-primary-200);
    overflow-x: hidden;
}

.container{
    font-family: var(--ff-primary);
    font-size: var(--fs-400);
    font-weight: var(--fw-regular);
    background-color: var(--clr-neutral-100);
    min-width: 40vw;
    padding: .4rem 1.8rem;
    border-radius: 8px;
    box-shadow: 10 5px 10px 8px var(--clr-neutral-500);
}

h1{
    font-size: var(--fs-700);
    font-family: var(--ff-heading-700);
    color: var(--clr-neutral-900);
    text-transform: capitalize;
    font-weight: var(--fw-bold);
    margin: 10px 0;
}

.name{
    display: flex;
    gap: 10px;
    margin-bottom: 15px;
}

input[type=text]{
    border: 1px solid rgba(128, 128, 128, 0.699);
    border-radius: 5px;
    height: 2rem;
    width: 100%;
}

.fname, .lname, .mail, textarea{
    letter-spacing: 1px;
    padding: 15px 20px;
    color: var(--clr-neutral-900);
    border: 1px solid rgba(128, 128, 128, 0.699);
    font-family: var(--ff-primary);
}

.fname:focus, .lname:focus, textarea:focus, .mail:focus{
    border: 1.5px solid var(--clr-primary-600);
    outline: none;
}

.fname:hover, .lname:hover, textarea:hover, .mail:hover{
    border: 1.5px solid var(--clr-primary-600);
    outline: none;
}
.first_name{
    flex-basis: 50%;
    list-style: none;
}

.last_name{
    flex-basis: 50%;
    list-style: none;
}

input[type=email]{
    border-color: rgba(128, 128, 128, 0.815);
    border-width: .1px;
    width: 100%;
    height: 2rem;
    border-radius: 5px;
}

.mail:focus :active{
    outline: 4px solid white;
}

.query{
    margin: 10px 0;
}

.radios{
    display: flex;
    width: 100%;
    gap: 10px;
    margin-top: 5px;
}

.query1, .query2{
    display: flex;
    align-items: center;
    padding: 15px 13px;
    margin-bottom: 5px;
    flex-basis: 50%;
    border: 1.5px solid var(--clr-primary-600);
    border-radius: 5px;
    height: 2rem;
    cursor: pointer;
}

input[type=radio], .checkbox{
    accent-color: var(--clr-primary-600);
}

input[type=radio]:focus, input[type=radio]:active .checkbox{
    accent-color: var(--clr-primary-600);
}



input[type="radio"]{
    width: 17px;
    height: 17px;
    color: var(--clr-primary-600);
    margin-right: 13px;
}


textarea{
    border-radius: 7px;
    border: 1px solid rgba(128, 128, 128, 0.699);
    width: 100%;
    height: 5rem;
    resize: none;
    font-family: var(--ff-body-400);
}

.consent{
    margin: .6rem 0;
}

input[type=checkbox]{
    margin-right: 10px;
    position: relative;
    top: 3px;
    height: 15px;
    width: 15px;
}

button{
    width: 100%;
    height: 2.2rem;
    border-radius: 5px;
    margin-bottom: 1rem;
    border: none;
    color: var(--clr-neutral-100);
    background-color: var(--clr-primary-600);
}

button:hover{
    background-color: var(--clr-primary-900);
}

.error{
    display: none;
    color: var(--clr-accent-200);
    font-family: var(--ff-body-400);
    font-size: .656rem;
    font-weight: var(--fw-regular);
}
.success_message{
    display: none;
    font-family: var(--ff-body-400);
    font-size: var(--fs-400);
    margin: auto;
    position: absolute;
    color:var(--clr-neutral-100);
    background-color: var(--clr-neutral-900);
    width: 30%;
    padding: 10px;
    border-radius: 10px;
    top: 10px;
}
.icon-message{
    display: flex;
    gap: .4rem;
    align-items: center;
    margin-bottom: 10px;
}

@media only screen and (min-width: 1440px) {
    /* Styles for large desktop screens */
   body{
        height: 100vh;
        display: flex;
        align-items: center;
        justify-content: center;
   }
    
   .container{
        padding: .9rem 2.4rem;
        width: 50vw;
        font-size: var(--fs-600);
   }

   h1{
        font-size: var(--fs-900);
        margin: 15px 0;
   }

   .error{
        font-size: var(--fs-400);
   }

   button{
        margin-bottom: 1.4rem;
    }
}

@media only screen and (min-width: 1200px) and (max-width: 1439px) {
    /* Styles for smaller desktop screens */
    body{
        height: 100vh;
   }
    
   .container{
        padding: .4rem 2.1rem;
        width: 45vw;
        font-size: var(--fs-600);
   }

   h1{
        font-size: var(--fs-900);
        margin: 15px 0;
   }

   .error{
        font-size: var(--fs-400);
   }

   button{
        margin-bottom: 1.4rem;
    }
}

@media only screen and (min-width: 975px) and (max-width: 1200px) {
    /* Styles for tablets */
    body{
        height: 100vh;
   }
    
   .container{
        padding: .6rem 2.3rem;
        width: 60vw;
        font-size: var(--fs-600);
   }

   h1{
        font-size: var(--fs-900);
        margin: 13px 0;
   }

   .error{
        font-size: var(--fs-400);
   }

   button{
        margin-bottom: 1.4rem;
    } 
    
    .email{
        margin-bottom: 20px 0;
    }

    .query{
        margin: 20px 0;
    }
}

@media only screen and (min-width: 794px) and (max-width: 975px) {
    /* Styles for mobile screens */
    body{
        height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
   }
    
   .container{
        padding: .9rem 2.5rem;
        width: 70vw;
        font-size: var(--fs-600);
   }

   h1{
        font-size: var(--fs-900);
        margin: 15px 0;
   }

   .error{
        font-size: var(--fs-400);
   }

   button{
        margin-bottom: 1.4rem;
    } 
    
    .email{
        margin-bottom: 20px 0;
    }

    .query{
        margin: 20px 0;
    }
}

@media only screen and (min-width: 575px) and (max-width: 794px){
    body{
        height: 100vh;
   }
    
   .container{
        padding: .4rem 2.5rem;
        width: 80vw;
        font-size: var(--fs-600);
   }

   h1{
        font-size: var(--fs-900);
        margin: 10px 0;
   }

   .error{
        font-size: var(--fs-400);
   }

   button{
        margin-bottom: 1.4rem;
    } 
    
    .email{
        margin-bottom: 20px 0;
    }

    .query{
        margin: 20px 0;
    }
}

@media only screen and (min-width: 374px) and (max-width: 639px) {
    /* Styles for very small mobile screens */
    body{
        height: 100vh;
    }

    .container{
        font-size: var(--fs-600);
        width: 70vw;
        padding: 10px 30px;
        margin: auto;
    }

    .name{
        display: flex;
        flex-direction: column;
        width: 100%;
        gap: 10px;
    }

    .radios{
        display: flex;
        flex-direction: column;
        width: 100%;
        gap: 10px;
    }
    h1{
        font-size: var(--fs-900);
        margin: 3px o;
    }

    input[type=text]{
        height: 3rem;
        width: 100%;
    }

    input[type=email]{
        height: 3rem;
        width: 100%;
    }

    button{
        height: 3rem;
        width: 100%;
    }

    .error{
        font-size: var(--fs-400);
    }
}

@media only screen and (max-width: 374px){
    body{
        height: 100vh;
    }

    .container{
        font-size: var(--fs-600);
        width: 90vw;
        padding: 5px 18px;
        margin: auto;
    }

    .name{
        display: flex;
        flex-direction: column;
        width: 100%;
        gap: 10px;
    }

    .radios{
        display: flex;
        flex-direction: column;
        width: 100%;
        gap: 10px;
    }
    h1{
        font-size: var(--fs-900);
        margin: 3px o;
    }

    input[type=text]{
        height: 3rem;
        width: 100%;
    }

    input[type=email] {
        height: 3rem;
        width: 100%;
    }

    button{
        height: 3rem;
        width: 100%;
    }
}

